darcs-2.16.5: a distributed, interactive, smart revision control system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Darcs.Patch.Index.Types

Synopsis

- data FileId = FileId {
  - cname :: AnchoredPath
  - count :: Int
  }
- showFileId :: FileId -> String
- newtype PatchId = PID {
  - patchId :: SHA1
  }
- pid2string :: PatchId -> String
- data PatchMod a
  - = PTouch a
  - | PCreateFile a
  - | PCreateDir a
  - | PRename a a
  - | PRemove a
  - | PDuplicateTouch a
- short :: PatchId -> Word32
- zero :: PatchId

# Documentation

data FileId #

The FileId for a file consists of the FilePath (creation name) and an index. The index denotes how many files with the same name have been added before (and subsequently deleted or moved)

Constructors

FileId |
Fields cname :: AnchoredPath count :: Int

#### Instances

Instances details

Show FileId # |
Instance details Defined in Darcs.Patch.Index.Types Methods showsPrec :: Int -> FileId -> ShowS # show :: FileId -> String # showList :: [FileId] -> ShowS #
Binary FileId # |
Instance details Defined in Darcs.Patch.Index.Types Methods put :: FileId -> Put get :: Get FileId putList :: [FileId] -> Put
Eq FileId # |
Instance details Defined in Darcs.Patch.Index.Types Methods (==) :: FileId -> FileId -> Bool # (/=) :: FileId -> FileId -> Bool #
Ord FileId # |
Instance details Defined in Darcs.Patch.Index.Types Methods compare :: FileId -> FileId -> Ordering # (<) :: FileId -> FileId -> Bool # (<=) :: FileId -> FileId -> Bool # (>) :: FileId -> FileId -> Bool # (>=) :: FileId -> FileId -> Bool # max :: FileId -> FileId -> FileId # min :: FileId -> FileId -> FileId #

showFileId :: FileId -> String #

Convert FileId to string

newtype PatchId #

The PatchId identifies a patch and can be created from a PatchInfo with makePatchname

Constructors

PID |
Fields patchId :: SHA1

#### Instances

Instances details

Show PatchId # |
Instance details Defined in Darcs.Patch.Index.Types Methods showsPrec :: Int -> PatchId -> ShowS # show :: PatchId -> String # showList :: [PatchId] -> ShowS #
Binary PatchId # |
Instance details Defined in Darcs.Patch.Index.Types Methods put :: PatchId -> Put get :: Get PatchId putList :: [PatchId] -> Put
Eq PatchId # |
Instance details Defined in Darcs.Patch.Index.Types Methods (==) :: PatchId -> PatchId -> Bool # (/=) :: PatchId -> PatchId -> Bool #
Ord PatchId # |
Instance details Defined in Darcs.Patch.Index.Types Methods compare :: PatchId -> PatchId -> Ordering # (<) :: PatchId -> PatchId -> Bool # (<=) :: PatchId -> PatchId -> Bool # (>) :: PatchId -> PatchId -> Bool # (>=) :: PatchId -> PatchId -> Bool # max :: PatchId -> PatchId -> PatchId # min :: PatchId -> PatchId -> PatchId #

pid2string :: PatchId -> String #

data PatchMod a #

This is used to track changes to files

Constructors

PTouch a |
PCreateFile a |
PCreateDir a |
PRename a a |
PRemove a |
PDuplicateTouch a | this is used for duplicate patches that don't have any effect, but we still want to keep track of them

#### Instances

Instances details

Functor PatchMod # |
Instance details Defined in Darcs.Patch.Index.Types Methods fmap :: (a -> b) -> PatchMod a -> PatchMod b # (<$) :: a -> PatchMod b -> PatchMod a #
Show a => Show (PatchMod a) # |
Instance details Defined in Darcs.Patch.Index.Types Methods showsPrec :: Int -> PatchMod a -> ShowS # show :: PatchMod a -> String # showList :: [PatchMod a] -> ShowS #
Eq a => Eq (PatchMod a) # |
Instance details Defined in Darcs.Patch.Index.Types Methods (==) :: PatchMod a -> PatchMod a -> Bool # (/=) :: PatchMod a -> PatchMod a -> Bool #

short :: PatchId -> Word32 #

zero :: PatchId #